﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFrameworks>net8.0;netstandard2.1</TargetFrameworks>

        <AssemblyName>Xilium.CefGlue</AssemblyName>
        <RootNamespace>Xilium.CefGlue</RootNamespace>

        <Nullable>enable</Nullable>
        <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
        <LangVersion>latest</LangVersion>
        <AnalysisMode>Default</AnalysisMode>
        <Version>126.2.9</Version>
        <IsPackable>true</IsPackable>
    </PropertyGroup>

    <!-- Disabled Sources -->
    <ItemGroup>
        <Compile Remove="Wrapper\**" />
        <Compile Remove="Interop\Base\cef_string_t.disabled.cs" />
    </ItemGroup>
    
    <ItemGroup>
        <None Include="Interop\Base\cef_string_t.disabled.cs" />
        <None Include="Wrapper\MessageRouter\ReadMe.txt" />
    </ItemGroup>

</Project>
